pytest 4.4.0-foss-2018b-Python-3.6.6

Unsupported: Use of this version of pytest is not supported. More information on our Applications Support and Retention Policy.

pytest: simple powerful testing with Python

Accessing pytest 4.4.0-foss-2018b-Python-3.6.6

To load the module for pytest 4.4.0-foss-2018b-Python-3.6.6 please use this command on the BEAR systems (BlueBEAR, BEARCloud VMs, and CaStLeS VMs):

module load bear-apps-unsupported/handbuilt/2019
module load pytest/4.4.0-foss-2018b-Python-3.6.6

There is a GPU enabled version of this module: pytest 4.4.0-fosscuda-2018b-Python-3.6.6

BEAR Apps Version

2019h

Extensions

  • atomicwrites 1.3.0
  • attrs 19.1.0
  • more-itertools-5.0.0
  • pathlib2 2.3.3
  • pluggy 0.9.0
  • py 1.8.0
  • pytest 4.4.0
  • scandir 1.10.0

More Information

For more information visit the pytest website.

Dependencies

This version of pytest has a direct dependency on: foss/2018b Python/3.6.6-foss-2018b

Required By

This version of pytest is a direct dependent of: scipy/1.2.0-foss-2018b-Python-3.6.6

Other Versions

These versions of pytest are available on the BEAR systems (BlueBEAR, BEARCloud VMs, and CaStLeS VMs). These will be retained in accordance with our Applications Support and Retention Policy.

Last modified on 5th June 2019